package com.tenlionsoft.baselib.core.db.beans;

import java.io.Serializable;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2022/4/2 - 5:42 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
@Entity(tableName = "local_media")
public class LocalMediaBean implements Serializable {
    @NonNull
    @PrimaryKey
    private int id;
    @ColumnInfo(name = "uid")
    private String uid;//关联
    @ColumnInfo(name = "name")
    private String name;
    @ColumnInfo(name = "net_url")
    private String netUrl;
    @ColumnInfo(name = "state")
    private int state;//1 下载中  2下载完成  3暂停  4失败  5本地文件不存在  6未下载
    @ColumnInfo(name = "local_path")
    private String localPath;//本地文件路径
    @ColumnInfo(name = "cover")
    private String cover;//封面图片
    @ColumnInfo(name = "file_size")
    private String fileSize;//文件大小
    @ColumnInfo(name = "author")
    private String author;//作者
    @ColumnInfo(name = "file_type")
    private String fileType;//文件类型
    @ColumnInfo(name = "progress")
    private int progress;//下载进度

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getNetUrl() {
        return netUrl;
    }

    public void setNetUrl(String netUrl) {
        this.netUrl = netUrl;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getLocalPath() {
        return localPath;
    }

    public void setLocalPath(String localPath) {
        this.localPath = localPath;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public String getFileSize() {
        return fileSize;
    }

    public void setFileSize(String fileSize) {
        this.fileSize = fileSize;
    }

    public int getProgress() {
        return progress;
    }

    public void setProgress(int progress) {
        this.progress = progress;
    }
}
